Bug 1906933 - Cluster Autoscaler should have improved mechanisms for group identifiers
Summary: Cluster Autoscaler should have improved mechanisms for group identifiers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Alberto
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-11 20:14 UTC by Michael McCune
Modified: 2021-02-24 15:43 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes-autoscaler pull 184 0 None closed Bug 1906933: Add upstream patch for update group identifier 2020-12-28 02:33:56 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:43:26 UTC

Description Michael McCune 2020-12-11 20:14:05 UTC
As part of the effort to rebase the cluster autoscaler on the 1.20 release there are several patches from the upstream project which should be incorporated to the OpenShift autoscaler repository.

This issue surrounds the incorporation of the patch to update the group identifiers and logic for the cluster autoscaler, see https://github.com/kubernetes/autoscaler/pull/3161

The OpenShift implementation of the autoscaler should include this patch as part of the process for rebasing on top of 1.20.

Comment 3 sunzhaohua 2020-12-28 02:48:40 UTC
according to our latest regression test result, move this to verified.

Comment 5 errata-xmlrpc 2021-02-24 15:43:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.